[package]
name = "mdxbook"
version = "0.4.25"
authors = [
    "Mathieu David <mathieudavid@mathieudavid.org>",
    "Michael-F-Bryan <michaelfbryan@gmail.com>",
    "Matt Ickstadt <mattico8@gmail.com>",
    "Jonathan H. R. Lopes <jhrldev@gmail.com>"
]
documentation = "https://idocs.xyz/ondemand?url=https://gitlab.com/Kores/idocs-oss/mdxbook&revision=0.4.21"
edition = "2021"
exclude = ["/guide/*"]
keywords = ["book", "gitbook", "rustbook", "markdown"]
license = "MPL-2.0"
readme = "README.md"
repository = "https://gitlab.com/Kores/idocs-oss/mdxBook"
description = "Fork of mdBook, with more customizations and flexibility for programmers"
rust-version = "1.60"

[dependencies]
anyhow = "1.0.28"
chrono = { version = "0.4", default-features = false, features = ["clock"] }
clap = { version = "4.0.29", features = ["cargo", "wrap_help"] }
clap_complete = "4.0.6"
once_cell = "1"
env_logger = "0.10.0"
handlebars = "4.0"
log = "0.4"
memchr = "2.0"
opener = "0.5"
pulldown-cmark = { version = "0.9.1", default-features = false }
regex = "1.5.5"
serde = { version = "1.0", features = ["derive"] }
serde_json = "1.0"
shlex = "1"
tempfile = "3.0"
toml = "0.5.1"
topological-sort = "0.2.2"

# Watch feature
notify = { version = "5.0.0", optional = true }
notify-debouncer-mini = { version = "0.2.1", optional = true }
gitignore = { version = "1.0", optional = true }

# Serve feature
futures-util = { version = "0.3.4", optional = true }
tokio = { version = "1", features = ["macros", "rt-multi-thread"], optional = true }
warp = { version = "0.3.2", default-features = false, features = ["websocket"], optional = true }

# Search feature
elasticlunr-rs = { version = "3.0.0", optional = true }
ammonia = { version = "3", optional = true }

[dev-dependencies]
assert_cmd = "2.0.7"
predicates = "2"
select = "0.6.0"
semver = "1.0"
pretty_assertions = "1.2.1"
walkdir = "2.0"

[features]
default = ["watch", "serve", "search"]
watch = ["notify", "notify-debouncer-mini", "gitignore"]
serve = ["futures-util", "tokio", "warp"]
search = ["elasticlunr-rs", "ammonia"]

[[bin]]
doc = false
name = "mdxbook"

[[example]]
name = "nop-preprocessor"
test = true
